Bug 494 - Could not to synchronize files by Rosa Sync
: Could not to synchronize files by Rosa Sync
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Marathon
: All Linux
: Normal normal
: ---
Assigned To: Pavel V. Taranov
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-08 14:47 MSD by FirstLevel
Modified: 2013-01-15 18:03 MSK (History)
5 users (show)

See Also:
RPM Package: psyncclient-0.1-46.src.rpm
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments
Window after enter my user details for Rosa Sync (36.17 KB, image/png)
2012-07-08 14:47 MSD, FirstLevel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description FirstLevel 2012-07-08 14:47:07 MSD
Created attachment 358 [details]
Window after enter my user details for Rosa Sync

Description of problem:
I could not to synchronize files by Rosa Sync.

1. Account was registered: Djam/djam5@ya.ru
2. I can to access to dav.2safe.com by Doplhin, Chromium or PCManfm.
3. But I could not connect by Rosa Sync, an error occured with messages such as "error with transfering files".
4. When I enter my account information to Rosa Sync I have got a windows with free space information: 0 MB or some wrong information.
5. I have deleted  ~/.psyncclient, configured ROsa Sync again, enabled and  disabled Wallet, but error is repeated.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
Comment 1 FirstLevel 2012-07-12 08:35:36 MSD
Is there any comments from developers?
Comment 2 Sergey A. Sokolov 2012-08-21 12:36:23 MSD
For correct working the psyncclient you must create directory /HTTP/<you login>
Example: /HTTP/Djam

In new version psyncclient the must to be fixed.
Comment 3 FirstLevel 2012-08-21 16:17:56 MSD
(In reply to comment #2)
> For correct working the psyncclient you must create directory /HTTP/<you
> login>
> Example: /HTTP/Djam
> 
> In new version psyncclient the must to be fixed.

Where should I create this directory?
In the homefolder? In the ~/.psyncclient ?
Comment 4 Sergey A. Sokolov 2012-08-21 16:33:08 MSD
Not. Into server via Web interface or WebDav.
Comment 5 Sergey Zhemoitel 2012-08-21 17:21:42 MSD
(In reply to comment #4)
> Not. Into server via Web interface or WebDav.

webdav, rosa sync client/

создание папки на сервере ничего не изменило
Comment 6 Sergey A. Sokolov 2012-08-21 18:27:41 MSD
Sergey Zhemoitel, please stop the psyncd:

$ killall psyncd

and fix you sfg:

$ sed -i 's/sync.*\.mandrivasync\.com/dav\.2safe\.com/' ~/.psyncclient/sync.cfg

run psyncd:

$ psyncd &

or relogin
Comment 7 Denis Silakov 2012-12-24 16:40:34 MSK
We believe that there is no such issue anymore in modern psyncclient package.
Comment 8 FirstLevel 2012-12-26 10:44:08 MSK
With such packages
rpm -qa | grep psync
libpsync-0.1-73-rosa.lts2012.0.i586
psyncclient-0.1-73-rosa.lts2012.0.i586

user has an error
psyncconfig 
psyncconfig: error while loading shared libraries: libconfig++.so.9: cannot open shared object file: No such file or directory

And synchronization does not work
Comment 9 Denis Silakov 2012-12-27 11:53:43 MSK
rpm -qa | grep libconfig9

?

If libconfig9 is installed, check that necessary library is provided by it:

rpm -ql lib64config9

If this package is absent, it should be installed. Actually libconfig9 is among psyncclient requirements, it should be automatically installed unless user performed some manual manipulations with his packages...
Comment 10 Sergey Zhemoitel 2012-12-27 12:17:53 MSK
(In reply to comment #9)
> rpm -qa | grep libconfig9
> 
> ?
> 
> If libconfig9 is installed, check that necessary library is provided by it:
> 
> rpm -ql lib64config9
> 
> If this package is absent, it should be installed. Actually libconfig9 is
> among psyncclient requirements, it should be automatically installed unless
> user performed some manual manipulations with his packages...

rpm -qa | grep libconfig9
libconfig9-1.4.8-1-rosa.lts2012.0.i586
Comment 11 Denis Silakov 2012-12-27 12:18:52 MSK
rpm -ql libconfig9

?

rpm -qf /usr/lib/libconfig.so.9

?
Comment 12 Sergey Zhemoitel 2012-12-27 13:29:09 MSK
rpm -ql libconfig9
/usr/lib/libconfig.so.9
/usr/lib/libconfig.so.9.1.2

rpm -qf /usr/lib/libconfig.so.9
libconfig9-1.4.8-1-rosa.lts2012.0.i586

psyncconfig 
psyncconfig: error while loading shared libraries: libconfig++.so.9: cannot open shared object file: No such file or directory
Comment 13 Denis Silakov 2012-12-27 13:32:47 MSK
oops, sorry, I haven't paid attention to '++'.

Will it help to run:

urpmi libconfig++9

?
Comment 14 Denis Silakov 2013-01-11 11:03:53 MSK
Advisory:

psyncclient should explicitly require libconfig++9.

Build lists:
https://abf.rosalinux.ru/build_lists/873339
https://abf.rosalinux.ru/build_lists/873338

Before this update, psyncclient could be installed without lib(64)config++9 package, but was failing on start.
Comment 15 Vladimir Potapov 2013-01-12 10:22:33 MSK
psyncclient-0.1-74-rosa.lts2012.0
************** Advisory *******************
Before this update, psyncclient could be installed without lib(64)config++9 package, but was failing on start.
*******************************************
QA Verified